DROP RULE(7)

NAME
DROP_RULE - remove a rewrite rule

SYNOPSIS

DROP RULE [ IF EXISTS ] name ON table_name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP RULE drops a rewrite rule.

PARAMETERS

IF EXISTS
    Do not throw an error if the rule does not exist. A notice is issued in this case.

name
    The name of the rule to drop.

table_name
    The name (optionally schema-qualified) of the table or view that the rule applies to.

CASCADE
    Automatically drop objects that depend on the rule.

RESTRICT
    Refuse to drop the rule if any objects depend on it. This is the default.

EXAMPLES

To drop the rewrite rule newrule:

    DROP RULE newrule ON mytable;

COMPATIBILITY

DROP RULE is a PostgreSQL language extension, as is the entire query rewrite system.

SEE ALSO
CREATE RULE (CREATE_RULE(7)), ALTER RULE (ALTER_RULE(7))